> For the complete documentation index, see [llms.txt](https://help.paintscout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.paintscout.com/developers/settings-line-items.md).

# Settings   Line Items

## GET /settings/lineItems

> List Line Item Options

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"LineItem":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the line item."},"active":{"type":"boolean","description":"Whether this line item is active & usable"},"label":{"type":"string","description":"The label of the line item"},"description":{"type":"string","description":"The description of the line item"},"crewNote":{"type":"string","description":"The crew note of the line item"},"clientNote":{"type":"string","description":"The client note of the line item"},"calculateBy":{"type":"string","enum":["none","hourlyRate","quantity"],"description":"The calculation type of this line item"},"quantity":{"type":"number","description":"The quantity use if this is a quantity calculated line item"},"hours":{"type":"number","description":"The hours of this line item"},"hourlyRate":{"type":"number","description":"The hourly rate used if using an hourly-rate based calculation"},"pricePerUnit":{"type":"number","description":"The price per unit if using a quantity-based calculation"},"price":{"type":"number","description":"The price of this line item"}},"required":["id"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/lineItems":{"get":{"summary":"List Line Item Options","operationId":"listLineItemOptions","tags":["Settings - Line Items"],"responses":{"200":{"description":"List of line items","content":{"application/json":{"schema":{"type":"object","properties":{"totalRows":{"type":"number"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/LineItem"}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /settings/lineItems

> Create Line Item

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"LineItem":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the line item."},"active":{"type":"boolean","description":"Whether this line item is active & usable"},"label":{"type":"string","description":"The label of the line item"},"description":{"type":"string","description":"The description of the line item"},"crewNote":{"type":"string","description":"The crew note of the line item"},"clientNote":{"type":"string","description":"The client note of the line item"},"calculateBy":{"type":"string","enum":["none","hourlyRate","quantity"],"description":"The calculation type of this line item"},"quantity":{"type":"number","description":"The quantity use if this is a quantity calculated line item"},"hours":{"type":"number","description":"The hours of this line item"},"hourlyRate":{"type":"number","description":"The hourly rate used if using an hourly-rate based calculation"},"pricePerUnit":{"type":"number","description":"The price per unit if using a quantity-based calculation"},"price":{"type":"number","description":"The price of this line item"}},"required":["id"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/lineItems":{"post":{"summary":"Create Line Item","operationId":"createLineItem","tags":["Settings - Line Items"],"requestBody":{"description":"Data for creating a new area label","required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"label":{"type":"string","description":"The label of the line item"},"description":{"type":"string","description":"The description of the line item."},"unit":{"type":"string","description":"The unit type (hour, sqft, etc)."},"rate":{"type":"number","description":"The rate for this line item."},"active":{"type":"boolean","description":"Whether this line item is active & usable"},"crewNote":{"type":"string","description":"The crew note of the line item"},"clientNote":{"type":"string","description":"The client note of the line item"},"calculateBy":{"type":"string","enum":["none","hourlyRate","quantity"],"description":"The calculation type of this line item"},"quantity":{"type":"number","description":"The quantity use if this is a quantity calculated line item"},"hours":{"type":"number","description":"The hours of this line item"},"hourlyRate":{"type":"number","description":"The hourly rate used if using an hourly-rate based calculation"},"pricePerUnit":{"type":"number","description":"The price per unit if using a quantity-based calculation"},"price":{"type":"number","description":"The price of this line item"}},"required":["label"]}}}},"responses":{"200":{"description":"Details about the new line item","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LineItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /settings/lineItems/{id}

> Retrieve Line Item

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"LineItem":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the line item."},"active":{"type":"boolean","description":"Whether this line item is active & usable"},"label":{"type":"string","description":"The label of the line item"},"description":{"type":"string","description":"The description of the line item"},"crewNote":{"type":"string","description":"The crew note of the line item"},"clientNote":{"type":"string","description":"The client note of the line item"},"calculateBy":{"type":"string","enum":["none","hourlyRate","quantity"],"description":"The calculation type of this line item"},"quantity":{"type":"number","description":"The quantity use if this is a quantity calculated line item"},"hours":{"type":"number","description":"The hours of this line item"},"hourlyRate":{"type":"number","description":"The hourly rate used if using an hourly-rate based calculation"},"pricePerUnit":{"type":"number","description":"The price per unit if using a quantity-based calculation"},"price":{"type":"number","description":"The price of this line item"}},"required":["id"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/lineItems/{id}":{"get":{"summary":"Retrieve Line Item","operationId":"getLineItem","tags":["Settings - Line Items"],"parameters":[{"name":"id","in":"path","description":"ID of the line item","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Details about the line item","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LineItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /settings/lineItems/{id}

> Update Line Item

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"LineItem":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the line item."},"active":{"type":"boolean","description":"Whether this line item is active & usable"},"label":{"type":"string","description":"The label of the line item"},"description":{"type":"string","description":"The description of the line item"},"crewNote":{"type":"string","description":"The crew note of the line item"},"clientNote":{"type":"string","description":"The client note of the line item"},"calculateBy":{"type":"string","enum":["none","hourlyRate","quantity"],"description":"The calculation type of this line item"},"quantity":{"type":"number","description":"The quantity use if this is a quantity calculated line item"},"hours":{"type":"number","description":"The hours of this line item"},"hourlyRate":{"type":"number","description":"The hourly rate used if using an hourly-rate based calculation"},"pricePerUnit":{"type":"number","description":"The price per unit if using a quantity-based calculation"},"price":{"type":"number","description":"The price of this line item"}},"required":["id"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/lineItems/{id}":{"put":{"summary":"Update Line Item","operationId":"updateLineItem","tags":["Settings - Line Items"],"parameters":[{"name":"id","in":"path","description":"ID of the Line Item","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Updated line item data","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LineItem"}}}},"responses":{"200":{"description":"Successfully updated line item","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LineItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /settings/lineItems/{id}

> Delete Line Item

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/lineItems/{id}":{"delete":{"summary":"Delete Line Item","tags":["Settings - Line Items"],"parameters":[{"name":"id","in":"path","description":"ID of the Line Item","required":true,"schema":{"type":"string"}}],"operationId":"deleteLineItem","responses":{"204":{"description":"Line item successfully deleted"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.paintscout.com/developers/settings-line-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
